--- /usr/share/emacs-snapshot/site-lisp/debian-el/gnus-BTS.el	2007-09-19 03:40:29.000000000 +0200
+++ /home/intrigeri/.elisp/gnus-BTS.el	2007-09-21 12:06:19.000000000 +0200
@@ -66,6 +66,12 @@
 
 (autoload 'thing-at-point "thingatpt")
 
+(defcustom gnus-dbts-read-bugs-as-email nil
+  "If t, highlighted Debian bug numbers' buttons call
+  `debian-bug-get-bug-as-email'; else, `browse-url' is used."
+  :type 'boolean
+  :group 'gnus-BTS)
+
 (defvar gnus-dbts-in-debian-group-p nil)
 
 (defvar gnus-dbts-in-debian-devel-announce-group-p nil)
@@ -118,7 +124,9 @@
 		(concat
 		 "http://cgi.debian.org/cgi-bin/search_packages.pl"
 		 "?&searchon=names&version=all&release=all&keywords="))))
-    (browse-url (concat url bug-or-feature))))
+    (if (and bugp gnus-dbts-read-bugs-as-email)
+	(debian-bug-get-bug-as-email bug-or-feature)
+      (browse-url (concat url bug-or-feature)))))
 
 (defun gnus-dbts-buttonize-debian (regexp num predicate)
   (add-to-list 'gnus-button-alist
